%define upstream_name    YAML-PP
%define upstream_version v0.38.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    YAML Framework
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(B::Deparse)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Scalar::Util) >= 1.70.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Tie::Array)
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is Yet Another YAML Framework. For why this project was started, see
the "WHY" manpage.

The parser aims to parse 'YAML 1.2'. See the http://yaml.org/ manpage.

You can check out all current parse and load results from the
yaml-test-suite here: the
https://perlpunk.github.io/YAML-PP-p5/test-suite.html manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/YAML/
%{_bindir}/yamlpp-events
%{_bindir}/yamlpp-highlight
%{_bindir}/yamlpp-load
%{_bindir}/yamlpp-load-dump
%{_bindir}/yamlpp-parse-emit

%changelog
* Sat Jan 25 2025 tv <tv> 0.38.1-1.mga10
+ Revision: 2142350
- update to v0.38.1

* Thu Feb 01 2024 tv <tv> 0.38.0-1.mga10
+ Revision: 2036553
- update to v0.38.0

* Fri Nov 10 2023 tv <tv> 0.37.0-1.mga10
+ Revision: 2005704
- update to v0.37.0

* Tue Aug 29 2023 tv <tv> 0.36.0-1.mga10
+ Revision: 1981042
- update to 0.036

* Mon Oct 03 2022 tv <tv> 0.35.0-1.mga9
+ Revision: 1894261
- update to 0.035

* Mon Jul 04 2022 tv <tv> 0.34.0-1.mga9
+ Revision: 1867552
- update to 0.034

* Thu Jun 30 2022 tv <tv> 0.33.0-1.mga9
+ Revision: 1866822
- update to 0.033

* Mon Mar 21 2022 umeabot <umeabot> 0.32.0-2.mga9
+ Revision: 1816630
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 tv <tv> 0.32.0-1.mga9
+ Revision: 1790360
- update to 0.032

* Mon Dec 27 2021 tv <tv> 0.31.0-1.mga9
+ Revision: 1764467
- update to 0.031

* Tue Nov 09 2021 tv <tv> 0.30.0-1.mga9
+ Revision: 1755148
- update to 0.030

* Thu Oct 28 2021 tv <tv> 0.29.0-1.mga9
+ Revision: 1753032
- update to 0.029

* Mon Apr 12 2021 tv <tv> 0.27.0-1.mga9
+ Revision: 1714996
- update to 0.027

* Fri Sep 11 2020 tv <tv> 0.26.0-1.mga8
+ Revision: 1624423
- update to 0.026

* Mon Sep 07 2020 guillomovitch <guillomovitch> 0.25.0-1.mga8
+ Revision: 1623116
- new version 0.025

* Mon Aug 17 2020 guillomovitch <guillomovitch> 0.24.0-1.mga8
+ Revision: 1614635
- new version 0.24.0

* Fri Jul 10 2020 tv <tv> 0.23.0-1.mga8
+ Revision: 1603964
- update to 0.023

* Tue May 05 2020 guillomovitch <guillomovitch> 0.22.0-1.mga8
+ Revision: 1580503
- new version 0.022

* Fri Feb 28 2020 tv <tv> 0.21.0-1.mga8
+ Revision: 1551960
- update to 0.021

* Wed Feb 19 2020 tv <tv> 0.20.0-1.mga8
+ Revision: 1542447
- update to 0.020

* Sat Feb 15 2020 umeabot <umeabot> 0.19.0-2.mga8
+ Revision: 1527002
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 tv <tv> 0.19.0-1.mga8
+ Revision: 1517897
- update to 0.019

* Mon Jul 08 2019 tv <tv> 0.18.0-1.mga8
+ Revision: 1419633
- update to 0.018

* Sat Jun 29 2019 tv <tv> 0.17.0-1.mga8
+ Revision: 1415970
- update to 0.017

* Mon Apr 22 2019 guillomovitch <guillomovitch> 0.12.0-1.mga7
+ Revision: 1394651
- new version 0.012

* Sat Mar 23 2019 tv <tv> 0.11.0-1.mga7
+ Revision: 1379814
- update to 0.011

* Sun Nov 04 2018 tv <tv> 0.10.0-1.mga7
+ Revision: 1328109
- update to 0.010

* Wed Oct 03 2018 tv <tv> 0.9.0-1.mga7
+ Revision: 1316089
- update to 0.009

* Wed Sep 26 2018 guillomovitch <guillomovitch> 0.8.0-1.mga7
+ Revision: 1306580
- new version 0.008

* Thu Sep 20 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1287473
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 tv <tv> 0.7.0-1.mga7
+ Revision: 1238743
- update to 0.007

* Sun Apr 08 2018 tv <tv> 0.6.0-1.mga7
+ Revision: 1216112
- update to 0.006

* Fri Nov 24 2017 tv <tv> 0.5.0-1.mga7
+ Revision: 1179054
- update to 0.005

* Tue Oct 03 2017 tv <tv> 0.4.0-2.mga7
+ Revision: 1167470
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 guillomovitch <guillomovitch> 0.4.0-1.mga7
+ Revision: 1156706
- imported package perl-YAML-PP

